BasicToolBarUI.DockingListener (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.basic.BasicToolBarUI.DockingListener class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicToolBarUI.DockingListener

- java.lang.Object
- - javax.swing.plaf.basic.BasicToolBarUI.DockingListener

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`
  Direct Known Subclasses:
    `MetalToolBarUI.MetalDockingListener`
  Enclosing class:
    BasicToolBarUI

      public class BasicToolBarUI.DockingListener
      extends Object
      implements MouseInputListener

  This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicToolBarUI.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `isDragging` | `true` if the `JToolBar` is being dragged.
    `protected Point` | `origin` | The origin point.
    `protected JToolBar` | `toolBar` | The instance of `JToolBar`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DockingListener​(JToolBar t)` | Constructs a new instance of `DockingListener`.

  - ### Method Summary

    - ### Methods declared in interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods declared in interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### toolBar

          protected JToolBar toolBar

      The instance of `JToolBar`.

    - #### isDragging

          protected boolean isDragging

      `true` if the `JToolBar` is being dragged.

    - #### origin

          protected Point origin

      The origin point.

  - ### Constructor Detail

    - #### DockingListener

          public DockingListener​(JToolBar t)

      Constructs a new instance of `DockingListener`.
      Parameters:
        `t` - an instance of `JToolBar`